
all:    ..\bin\winver.exe	..\bin\GetDriveType.exe
	@echo Sorry - please compile from VisualStudio.NET

..\bin\winver.exe:	WinVerCPP\WinVer.cpp
	@cd WinVerCPP
	@cl /FoRelease\WinVer.obj /FeRelease\WinVer.exe	WinVer.cpp
	@cd ..

..\bin\GetDriveType.exe:	GetDriveTypeCPP\GetDriveType.cpp
	@cd GetDriveTypeCPP
	@cl /FeRelease\GetDriveType.exe	GetDriveType.cpp stdafx.cpp
	@cd ..
	
install:
	@if exist LTOOLSnet\obj\Release\LTOOLSnet.exe copy LTOOLSnet\obj\Release\LTOOLSnet.exe ..\bin
	@if exist LTOOLSnet\obj\*.dll	copy LTOOLSnet\obj\*.dll ..\bin
	@if exist LTOOLSnet\ltoolgui.css copy LTOOLSnet\ltoolgui.css ..\bin
	@if exist LTOOLSnet\*.htm	copy LTOOLSnet\*.htm ..\bin
	@if exist GetDriveTypeCPP\Release\GetDriveType.exe  copy GetDriveTypeCPP\Release\GetDriveType.exe ..\bin
 	@if exist WinVerCPP\Release\winver.exe copy WinVerCPP\Release\winver.exe ..\bin
	
clean:
	@if exist GetDriveTypeCPP\Release del /S /Q GetDriveTypeCPP\Release\*.*
	@if exist GetDriveTypeCPP\Debug del /S /Q GetDriveTypeCPP\Debug\*.*
	@if exist WinVerCPP\Release\*.* del /S /Q WinVerCPP\Release\*.*
	@if exist WinVerCPP\Debug del /S /Q WinVerCPP\Debug\*.*
	@if exist /s *.obj del /S /Q *.obj
	@if exist LTOOLSnet\bin del /S /Q LTOOLSnet\bin\*.*
	@if exist LTOOLSnet\obj del /S /Q LTOOLSnet\obj\*.*
	@if exist /s *.bak del /s /q *.bak
